#
# spec file for package vpcs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vpcs
Version:        0.6.1
Release:        5.18
Summary:        Virtual PC Simulator
License:        BSD-2-Clause
Group:          System/Emulators/Other
Url:            http://sourceforge.net/projects/vpcs/
Source0:        %{name}-%{version}.zip
Patch0:         %{name}-0.5b0-no-static.patch
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The VPCS can simulate up to 9 PCs. You can ping/traceroute them, or ping/traceroute
the other hosts/routers from the virtual PCs when you study the Cisco routers in
the Dynamips. VPCS is not the traditional PC, it is just a program running on the
Linux or Windows, and only few network commands can be used in it. But VPCS can
give you a big hand when you study the Cisco devices in the Dynamips. VPCS can
replace the routers or VMware boxes which are used as PCs in the Dynamips network.

Try VPCS, it can save your CPU/Memory. It is very small.

Now, VPCS can be run in udp or ether mode. In the udp mode, VPCS sends or receives
the packets via udp. In the ether mode, via /dev/tap, not support on the Windows. 

%prep
%setup -q
%patch0 -p1

%build
cd src
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
make -f Makefile.linux CPUTYPE=%_target_cpu

%install
%__mkdir -p %buildroot/%_bindir
%__mkdir -p %buildroot/%_mandir/man1
%__cp src/vpcs %buildroot/%_bindir/
%__cp man/vpcs.1 %buildroot/%_mandir/man1/

%files
%defattr(-,root,root)
%doc readme.txt COPYING
%_bindir/vpcs
%_mandir/man1/*

%changelog
* Thu Jun  4 2015 andrea@opensuse.org
- new upstream version 0.6.1
  * Turn off the relay feature because it is conflicting with GNS3
* Wed Dec 10 2014 andrea@opensuse.org
- vpcs shouldn't require dynamips
* Thu Nov 20 2014 andrea@opensuse.org
- new upstream version 0.6
  * fix: commands with more than 20 arguments will cause core dump
  * display the file name while running 'save' to save the configuration
  * command string begins with '#' or ';' is considered as comment in CLI
  * renew the dhcp4 lease automatically
  * support ip fragmentation
  * fix: use MAC of gateway while replying in the background
  * fix: history list overflow
* Fri Jul  4 2014 andrea@opensuse.org
- changed project homepage
* Tue Jul  1 2014 andrea@opensuse.org
- New upstream version 0.5b2
  * fix: using getenv+access to the real path of VPCS.
  * patch for Debian GNU/kFreeBSD from Daniel Lintott
    flush out the output buffer while running 'echo ...'
  * increase the maxinum number of tcp sessions and decrease tcp keep alive time
  * fix: arp table, the source ether address is not saved
* Mon May 19 2014 andrea@opensuse.org
- New upstream version 0.5b1
  * Support for a specified number of vpc instances (between 1 and 9)
  * Support for TAP device name (only with 1 VPC instance)
- Changed project home page
* Tue Mar 25 2014 andrea@opensuse.org
- spec file clean up
* Sun Mar 23 2014 andrea@opensuse.org
- new upstream version 0.5b0
  * support to hypervisor mode
- added vpcs-0.5b0-no-static.patch to avoid static library linking
* Mon Jan  7 2013 andrea@opensuse.org
- new upstream version 0.4b2
  * support DNS
  * support 'dump' packets
  * add 'rlogin' command to connect the remote host
  * support daemon mode
  * more at http://blog.chinaunix.net/space.php?uid=20020608&do=blog&id=3274792
- removed man page now in upstream code
* Thu Jan 12 2012 andrea@opensuse.org
- New upstream version 0.3
  * vpcs is now opensource (BSD)
* Tue Apr 19 2011 andrea@opensuse.org
- New package
